Subject: [dhcwg] AD review of draft-ietf-dhc-dhcpv6-reconfigure-rebind

From: Jari Arkko <[email-masked]>
Date: Wed, 21 Mar 2012 10:55:40 +0200

I have reviewed this draft. (Exceptionally I'm the AD to do this review for DHC WG because Ralph is one of the authors of this draft.)

I have found the draft well written and have no concerns about it. I have initiated IETF last call for it. I did have a couple of editorial comments, however:

For me, Section 4 would have benefited from a clearer statement of what material from RFC 3315 was still valid. For example, when I read Section 4 and 5, I wondered what options the server was supposed to use as only the latter section talked about options. Looking at RFC 3315 Section 19.1 there's plenty of text about this.

Section 7 has nice story about the use of DHCP authentication. I would have preferred to see also a more real-world related explanation of why these attacks are no worse than other attacks on DHCP to begin with. E.g., if you disable nodes with reconfigure, you can disable them with the regular DHCP process as well.

ID nits:
>    == Outdated reference: A later version (-06) exists of
>       draft-ietf-dhc-secure-dhcpv6-03
>

Jari